package qses.pwcheck;

import java.util.Scanner;

/**
 * Test program
 * @author Eduardo Marques
 *
 */
public class CheckerProgram {

  public static void main(String[] args) {
    Scanner in = new Scanner(System.in);
    boolean quit = false;
    PasswordChecker checker = CorrectChecker.INSTANCE;
    while (!quit) {
      System.out.print("Enter a password ('q' to quit): ");
      String password = in.nextLine();
      if (password.equals("q")) {
        quit = true;
      } else {
        boolean ok = checker.isPasswordOK(password);
        System.out.printf("'%s' is OK ? %s\n", password, ok);
      }
    } 
    in.close();
  }
}
